package com.yd.dal.service.meta.impl;

import com.yd.dal.entity.meta.MdMkCampaign;
import com.yd.dal.mapper.meta.MdMkCampaignMapper;
import com.yd.dal.service.meta.MdMkCampaignDALService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service("mdMkCampaignDALService")
public class MdMkCampaignDALServiceImpl implements MdMkCampaignDALService {
    @Resource
    private MdMkCampaignMapper mdMkCampaignMapper;

    @Override
    public MdMkCampaign findByMktCampaignId(Long mktCampaignId) {
        return mdMkCampaignMapper.selectByPrimaryKey(mktCampaignId);
    }

    @Override
    public MdMkCampaign findByCampaignCode(String campaignCode) {
        return mdMkCampaignMapper.selectByCampaignCode(campaignCode);
    }
}
